Page MenuHomeFreeBSD

Adress CVE-2017-6410 in devel/kf5-kio and x11/kdelibs4
ClosedPublic

Authored by tcberner on Mar 6 2017, 5:22 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 26031.Mar 6 2017, 5:22 PM
tcberner retitled this revision from to Adress CVE-2017-6410 in devel/kf5-kio and x11/kdelibs4.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.
tcberner updated this revision to Diff 26032.Mar 6 2017, 5:24 PM

Fix vuxml entry for kdelibs version

mat accepted this revision.Mar 6 2017, 5:37 PM
mat edited edge metadata.

I approve the ports changes, I always leave the vuxml thing to ports secteam.

This revision is now accepted and ready to land.Mar 6 2017, 5:37 PM
rakuco accepted this revision.Mar 7 2017, 6:47 PM
rakuco edited edge metadata.

le shipit (just make sure you've run make validate in the vulnxml directory), and don't forget to MFH.

Ah, so I'm not obligated to provide the vuln.xml entry?

mat added a comment.EditedMar 8 2017, 7:53 AM

Ah, so I'm not obligated to provide the vuln.xml entry?

No, you are not, you can, if you want, but you do not have to.
https://www.freebsd.org/doc/en/books/porters-handbook/security-notify.html

I usually just add the CVE/whatever to the security line.

This revision was automatically updated to reflect the committed changes.